> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order

> Returns order by id

<Note>
  **OAuth scope:** `order_read`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml GET /open-api/v1.0/order/{orderId}
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/order/{orderId}:
    get:
      tags:
        - Orders
      summary: Get order by id
      description: Returns order by id
      operationId: get-order
      parameters:
        - name: orderId
          in: path
          required: true
          schema:
            type: string
          example: 00aa4abd-5778-4199-8161-0b49b2f212e5
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/com.fourthwall.openapi.model.OrderV1'
        '400':
          description: >-
            Possible errors: `WEBHOOK_NOT_SUPPORTED_ORDER_STATUS`,
            `WEBHOOK_NOT_SUPPORTED_ORDER_TYPE`
          content:
            application/json:
              examples:
                webhook-not-supported-order-status:
                  value:
                    code: WEBHOOK_NOT_SUPPORTED_ORDER_STATUS
                    orderStatus: <string>
                webhook-not-supported-order-type:
                  value:
                    code: WEBHOOK_NOT_SUPPORTED_ORDER_TYPE
                    orderType: <string>
        '404':
          description: >-
            Possible errors: `CHECKOUT_NOT_FOUND_ERROR`,
            `OFFER_VARIANT_NOT_FOUND_ERROR`
          content:
            application/json:
              examples:
                checkout-not-found-error:
                  value:
                    code: CHECKOUT_NOT_FOUND_ERROR
                    checkoutId: <checkoutid>
                offer-variant-not-found-error:
                  value:
                    code: OFFER_VARIANT_NOT_FOUND_ERROR
                    offerVariantId: <offervariantid>
      security:
        - oauth:
            - order_read
        - basicAuth: []
      externalDocs:
        url: https://docs.fourthwall.com/api-reference/platform/orders/get-order
components:
  schemas:
    com.fourthwall.openapi.model.OrderV1:
      type: object
      properties:
        id:
          type: string
          example: 00aa4abd-5778-4199-8161-0b49b2f212e5
        shopId:
          type: string
          example: sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb
        friendlyId:
          type: string
          example: D3XZFWPP
        checkoutId:
          type: string
          example: ch_BV44UYrXQA2T_Xcf1288tw
        promotionId:
          type: string
          example: prm_EdJvIXu3SEiXe_QkPavHSA
        status:
          type: string
          enum:
            - CONFIRMED
            - PARTIALLY_IN_PRODUCTION
            - IN_PRODUCTION
            - PARTIALLY_SHIPPED
            - SHIPPED
            - PARTIALLY_DELIVERED
            - DELIVERED
            - CANCELLED
            - COMPLETED
        email:
          type: string
          example: supporter@fourthwall.com
        emailMarketingOptIn:
          type: boolean
        username:
          type: string
          example: Johnny123
        message:
          type: string
          example: Sample message
        amounts:
          $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.OrderV1.OrderAmounts
        billing:
          $ref: '#/components/schemas/com.fourthwall.openapi.model.OrderV1.Billing'
        shipping:
          $ref: '#/components/schemas/com.fourthwall.openapi.model.OrderV1.Shipping'
        offers:
          type: array
          items:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.OfferAbstractV1.OfferOrderV1
        source:
          oneOf:
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.OrderV1.Source.GiveawayLinks
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.OrderV1.Source.Order
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.OrderV1.Source.SamplesOrder
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.OrderV1.Source.TwitchGiftRedemption
        trackingParams:
          $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.OrderV1.TrackingParams
        metadata:
          type: object
          additionalProperties:
            type: string
          description: >-
            Custom metadata passed during cart creation. Null for orders without
            metadata.
        createdAt:
          type: string
          format: date-time
          example: '2020-08-13T09:05:36.939Z'
        updatedAt:
          type: string
          format: date-time
          example: '2020-08-13T09:05:36.939Z'
      required:
        - amounts
        - checkoutId
        - createdAt
        - email
        - emailMarketingOptIn
        - friendlyId
        - id
        - message
        - offers
        - shopId
        - source
        - status
        - updatedAt
      title: Order
    com.fourthwall.openapi.model.OrderV1.OrderAmounts:
      type: object
      properties:
        subtotal:
          $ref: '#/components/schemas/Money'
        shipping:
          $ref: '#/components/schemas/Money'
        tax:
          $ref: '#/components/schemas/Money'
        donation:
          $ref: '#/components/schemas/Money'
        discount:
          $ref: '#/components/schemas/Money'
        giftCards:
          type: array
          items:
            $ref: '#/components/schemas/com.fourthwall.openapi.model.OrderV1.GiftCard'
        total:
          $ref: '#/components/schemas/Money'
      required:
        - discount
        - donation
        - giftCards
        - shipping
        - subtotal
        - tax
        - total
      title: Order Amounts
    com.fourthwall.openapi.model.OrderV1.Billing:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/com.fourthwall.openapi.model.Address'
      required:
        - address
      title: Billing
    com.fourthwall.openapi.model.OrderV1.Shipping:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/com.fourthwall.openapi.model.Address'
      required:
        - address
      title: Shipping
    com.fourthwall.openapi.model.OfferAbstractV1.OfferOrderV1:
      type: object
      properties:
        id:
          type: string
          example: 00aa4abd-5778-4199-8161-0b49b2f212e5
        name:
          type: string
          example: My t-shirt
        slug:
          type: string
          example: my-t-shirt
        description:
          type: string
          example: My t-shirt description
        primaryImage:
          $ref: '#/components/schemas/com.fourthwall.openapi.model.Image'
        variant:
          $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.OfferAbstractV1.OfferVariantAbstractV1.OfferVariantWithQuantityV1
      required:
        - description
        - id
        - name
        - slug
        - variant
      title: Offer Order
    com.fourthwall.openapi.model.OrderV1.Source.GiveawayLinks:
      allOf:
        - $ref: '#/components/schemas/com.fourthwall.openapi.model.OrderV1.Source'
        - type: object
          properties:
            giftId:
              type: string
              example: gft_EdJvIXu3SEiXe_QkPavHSA
        - type: object
          properties:
            type:
              type: string
              const: GIVEAWAY_LINKS
      required:
        - giftId
      title: Giveaway Links
    com.fourthwall.openapi.model.OrderV1.Source.Order:
      allOf:
        - $ref: '#/components/schemas/com.fourthwall.openapi.model.OrderV1.Source'
        - type: object
          properties:
            type:
              type: string
              const: ORDER
      title: Order
    com.fourthwall.openapi.model.OrderV1.Source.SamplesOrder:
      allOf:
        - $ref: '#/components/schemas/com.fourthwall.openapi.model.OrderV1.Source'
        - type: object
          properties:
            type:
              type: string
              const: SAMPLES_ORDER
      title: Samples Order
    com.fourthwall.openapi.model.OrderV1.Source.TwitchGiftRedemption:
      allOf:
        - $ref: '#/components/schemas/com.fourthwall.openapi.model.OrderV1.Source'
        - type: object
          properties:
            giftPurchaseId:
              type: string
              example: giv_EdJvIXu3SEiXe_QkPavHSA
            giftId:
              type: string
              example: gft_EdJvIXu3SEiXe_QkPavHSA
        - type: object
          properties:
            type:
              type: string
              const: TWITCH_GIFT_REDEMPTION
      required:
        - giftId
        - giftPurchaseId
      title: Twitch Gift Redemption
    com.fourthwall.openapi.model.OrderV1.TrackingParams:
      type: object
      properties:
        fbc:
          type: string
        fbp:
          type: string
        utm_source:
          type: string
        utm_medium:
          type: string
        utm_campaign:
          type: string
        utm_content:
          type: string
        utm_term:
          type: string
      title: Tracking Params
    Money:
      type: object
      properties:
        value:
          type: number
          example: 10
          minimum: 0
        currency:
          type: string
          example: USD
      required:
        - currency
        - value
      title: Money
    com.fourthwall.openapi.model.OrderV1.GiftCard:
      type: object
      properties:
        code:
          type: string
        amountUsed:
          $ref: '#/components/schemas/Money'
      required:
        - amountUsed
        - code
      title: Gift Card
    com.fourthwall.openapi.model.Address:
      type: object
      properties:
        name:
          type: string
          example: Joe Doe
        address1:
          type: string
          example: Main Street 1
        address2:
          type: string
        city:
          type: string
          example: San Francisco
        state:
          type: string
          example: CA
        country:
          type: string
          example: US
        zip:
          type: string
          example: '12345'
        phone:
          type: string
          example: '123456789'
      required:
        - address1
        - city
        - country
        - name
        - state
      title: Address
    com.fourthwall.openapi.model.Image:
      type: object
      properties:
        id:
          type: string
          example: 00aa4abd-5778-4199-8161-0b49b2f212e5
        url:
          type: string
          example: https://fourthwall.com/image.png
        width:
          type: integer
          format: int32
          description: The original width of the image in pixels.
          example: 800
        height:
          type: integer
          format: int32
          description: The original height of the image in pixels.
          example: 600
        transformedUrl:
          type: string
          description: >-
            Transformed URL with applied image processing (e.g., resizing,
            optimization)
          example: https://fourthwall.com/image.png
      required:
        - height
        - id
        - transformedUrl
        - url
        - width
      title: Image
    com.fourthwall.openapi.model.OfferAbstractV1.OfferVariantAbstractV1.OfferVariantWithQuantityV1:
      type: object
      properties:
        id:
          type: string
          example: 00aa4abd-5778-4199-8161-0b49b2f212e5
        name:
          type: string
          example: My t-shirt - Black, L
        sku:
          type: string
          example: WDEK-DRE200L
        unitPrice:
          $ref: '#/components/schemas/Money'
        unitCost:
          $ref: '#/components/schemas/Money'
        compareAtPrice:
          $ref: '#/components/schemas/Money'
        attributes:
          $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.OfferAbstractV1.OfferVariantAbstractV1.Attributes
        quantity:
          type: integer
          format: int32
          example: 5
        price:
          $ref: '#/components/schemas/Money'
        cost:
          $ref: '#/components/schemas/Money'
        weight:
          $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.OfferAbstractV1.OfferVariantAbstractV1.Weight
        dimensions:
          $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.OfferAbstractV1.OfferVariantAbstractV1.Dimensions
      required:
        - attributes
        - dimensions
        - id
        - name
        - price
        - quantity
        - sku
        - unitPrice
        - weight
      title: Offer Variant With Quantity
    com.fourthwall.openapi.model.OrderV1.Source:
      discriminator:
        propertyName: type
        mapping:
          ORDER:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.OrderV1.Source.Order
          SAMPLES_ORDER:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.OrderV1.Source.SamplesOrder
          TWITCH_GIFT_REDEMPTION:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.OrderV1.Source.TwitchGiftRedemption
          GIVEAWAY_LINKS:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.OrderV1.Source.GiveawayLinks
      properties:
        type:
          type: string
      required:
        - type
      title: Source
    com.fourthwall.openapi.model.OfferAbstractV1.OfferVariantAbstractV1.Attributes:
      type: object
      properties:
        description:
          type: string
          example: Black, L
        color:
          $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.OfferAbstractV1.OfferVariantAbstractV1.Attributes.Color
        size:
          $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.OfferAbstractV1.OfferVariantAbstractV1.Attributes.Size
      required:
        - description
      title: Attributes
    com.fourthwall.openapi.model.OfferAbstractV1.OfferVariantAbstractV1.Weight:
      type: object
      properties:
        value:
          type: number
          example: '1.0'
        unit:
          type: string
          example: kg
      required:
        - unit
        - value
      title: Weight
    com.fourthwall.openapi.model.OfferAbstractV1.OfferVariantAbstractV1.Dimensions:
      type: object
      properties:
        length:
          type: number
          example: '1.0'
        width:
          type: number
          example: '2.0'
        height:
          type: number
          example: '3.0'
        unit:
          type: string
          example: cm
      required:
        - height
        - length
        - unit
        - width
      title: Dimensions
    com.fourthwall.openapi.model.OfferAbstractV1.OfferVariantAbstractV1.Attributes.Color:
      type: object
      properties:
        name:
          type: string
          example: Black
        swatch:
          type: string
          example: '#000000'
      required:
        - name
        - swatch
      title: Color
    com.fourthwall.openapi.model.OfferAbstractV1.OfferVariantAbstractV1.Attributes.Size:
      type: object
      properties:
        name:
          type: string
          example: L
      required:
        - name
      title: Size
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            donation_read: donation_read
            order_read: order_read
            order_write: order_write
            fulfillment_write: fulfillment_write
            giveaway_read: giveaway_read
            giveaway_write: giveaway_write
            memberships_read: memberships_read
            memberships_write: memberships_write
            promotions_write: promotions_write
            promotions_read: promotions_read
            offer_read: offer_read
            offer_write: offer_write
            shop_read: shop_read
            thankyou_read: thankyou_read
            thankyou_write: thankyou_write
            webhook_read: webhook_read
            webhook_write: webhook_write
            media_read: media_read
            media_write: media_write
            analytics_read: analytics_read
            samples_read: samples_read
            samples_write: samples_write
            dns_read: dns_read
            dns_write: dns_write
            settings_read: settings_read
            payout_read: payout_read
            integrations_read: integrations_read
    basicAuth:
      type: http
      scheme: basic

````